freemarker.template

## Interface TemplateHashModelEx2.KeyValuePairIterator

All Known Implementing Classes:
  MapKeyValuePairIterator

Enclosing interface:
  TemplateHashModelEx2

    public static interface TemplateHashModelEx2.KeyValuePairIterator

Iterates over the key-value pairs in a hash. This is very similar to an `Iterator`, but has a fixed item type, can throw `TemplateModelException`-s, and has no `remove()` method.

Since:
  2.3.25

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `hasNext()` Similar to `Iterator.hasNext()`.
`TemplateHashModelEx2.KeyValuePair` `next()` Similar to `Iterator.next()`.

### Method Detail

#### hasNext

    boolean hasNext()
             throws TemplateModelException

Similar to `Iterator.hasNext()`.

Throws:
  `TemplateModelException`

#### next

    TemplateHashModelEx2.KeyValuePair next()
                                    throws TemplateModelException

Similar to `Iterator.next()`.

Returns:
  Not `null`
Throws:
  `NoSuchElementException`
  `TemplateModelException`